Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027773
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfacemajorhave not tried2014-10-06 15:482016-03-17 10:53
ReporterplujanView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revisiondaffb319b79d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027773: It is not possible to perform tasks in the Add Details pop up window using only keyboard shortcuts

DescriptionSome basic keyboard shortcuts seem not to work for the Add Payment pop up.

You may find the complete list here: http://wiki.openbravo.com/wiki/User_Interface_Introduction#Keyboard_Shortcuts [^]
Steps To ReproduceTry to interact with the pop up using only keyboard shortcuts. Most of them do not work, while some others work only partially i.e. F2 key for editing works only if Tab key for moving away the grid was not used.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031647 closedcaristu js error after pressing ESC key on empty grid parameter of a process definition 
related to defect 0031905 acknowledgedplatform incomplete keyboard shortcuts functionality in P&E 

-  Notes
(0083195)
hgbot (developer)
2016-01-11 16:12

Repository: erp/devel/pi
Changeset: daffb319b79de9860f4f57a518147820f63ba472
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Jan 11 12:33:11 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/daffb319b79de9860f4f57a518147820f63ba472 [^]

fixes issue 27773: Not possible to work with keyboard shortcuts in Add Details

Now the OBPickAndExecuteGrid implements the ability to capture keyboard shortcuts and execute the corresponding actions. In addition, there was a problem with shortcuts having a parameter window opened: it was possible to execute shortcuts of the 'parent' window. This problem has been solved too by disabling the shortcuts of the parent view after opening a pick and execute view.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-keyboard-manager.js
---
(0083207)
gorka_gil (administrator)
2016-01-12 18:04

The following shortcuts are now working for grid parameters:

Ctrl + Shift + f -> Jump to column filters
Esc -> Returns to grid while keeping the filter value
Alt + Del -> Clear column filters
Ctrl + i -> Insert row (if the grid allows record insertion)
Del -> Delete row (if the grid allows record deletion)
Ctrl+ Del -> Delete row (if the grid allows record deletion)
F2 -> Edit row
(0083342)
alostale (developer)
2016-01-15 11:53

code reviewed

Tested: working fine in some cases, though there are some others it still requires improvement (see 0031905)
(0085026)
hudsonbot (developer)
2016-03-17 10:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-06 15:48 plujan New Issue
2014-10-06 15:48 plujan Assigned To => Sandrahuguet
2014-10-06 15:48 plujan Modules => Core
2014-10-06 15:48 plujan Triggers an Emergency Pack => No
2014-10-07 13:00 Sandrahuguet Assigned To Sandrahuguet => AugustoMauch
2015-03-11 11:19 alostale Priority normal => high
2015-03-11 11:19 alostale Status new => acknowledged
2015-03-17 14:37 alostale Assigned To AugustoMauch => platform
2015-12-02 19:58 caristu Assigned To platform => caristu
2015-12-02 19:58 caristu Status acknowledged => scheduled
2015-12-02 20:02 caristu Relationship added related to 0031647
2016-01-11 16:10 caristu Review Assigned To => alostale
2016-01-11 16:10 caristu Issue Monitored: alostale
2016-01-11 16:12 hgbot Checkin
2016-01-11 16:12 hgbot Note Added: 0083195
2016-01-11 16:12 hgbot Status scheduled => resolved
2016-01-11 16:12 hgbot Resolution open => fixed
2016-01-11 16:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/daffb319b79de9860f4f57a518147820f63ba472 [^]
2016-01-12 18:04 gorka_gil Note Added: 0083207
2016-01-15 11:53 alostale Note Added: 0083342
2016-01-15 11:53 alostale Status resolved => closed
2016-01-15 11:53 alostale Fixed in Version => 3.0PR16Q2
2016-01-15 11:53 alostale Relationship added related to 0031905
2016-03-17 10:53 hudsonbot Checkin
2016-03-17 10:53 hudsonbot Note Added: 0085026


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker